Create or update a Google Ads conversion action

http
PUT https://services.leadconnectorhq.com/ad-publishing/google/conversions

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier
conversionIdstringNoconv_456Conversion identifier
namestringYesPurchase ConversionConversion name
typestringYesWEBPAGEConversion type Possible values: 'UPLOAD_CLICKS', 'UPLOAD_CALLS', 'WEBPAGE', 'LEAD_FORM_SUBMIT'
categorystringYesPURCHASEConversion category
valueSettingsobjectYesValue settings that control how monetary value is attributed to conversions
countingTypestringYesONE_PER_CLICKHow conversions are counted per interaction Possible values: 'ONE_PER_CLICK', 'MANY_PER_CLICK'
attributionModelstringYesGOOGLE_ADS_LAST_CLICKAttribution model used to credit conversions Possible values: 'GOOGLE_SEARCH_ATTRIBUTION_DATA_DRIVEN', 'GOOGLE_ADS_LAST_CLICK'
clickThroughWindownumberYes30Click-through conversion window in days

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/google/conversions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_abc123",
  "conversionId": "conv_456",
  "name": "Purchase Conversion",
  "type": "WEBPAGE",
  "category": "PURCHASE",
  "valueSettings": {
    "defaultValue": "10.00",
    "defaultCurrencyCode": "USD",
    "alwaysUseDefaultValue": false
  },
  "countingType": "ONE_PER_CLICK",
  "attributionModel": "GOOGLE_ADS_LAST_CLICK",
  "clickThroughWindow": 30
}'

Last updated October 26, 2026

Was this page helpful?